---
extracts:
# Checkbox
  - name: "CA10__encrypted__c"
    value:
      FIELD:
        path: CA10__encrypted__c
# Values: automated, manual, shared, public, awsbackup. Not nullable. Can't have no access retrieved via rds:DescribeDBSnapshots
  - name: "CA10__snapshotType__c"
    value:
      FIELD:
        path: "CA10__snapshotType__c"
        undeterminedIf:
          isEmpty: "Corrupted data. Snapshot Type cannot be empty."
#  Not Nullable.
  - name: "CA10__attributesJson__c"
    value: 
      FIELD:
        path: "CA10__attributesJson__c"
        returnType: BYTES
        undeterminedIf:
          noAccessDelegate:
            path: "CA10__attributesJson__c"
            currentStateMessage: "Unable to determine Snapshot Attributes. Possible permission issue with rds:DescribeDBSnapshotAttributes."
          isEmpty: "Snapshot Attributes are not populated yet."
  - name: "caJsonFrom__attributesJson__c"
    value: 
      JSON_FROM:
        arg:
          EXTRACT: "CA10__attributesJson__c"
        undeterminedIf:
          isInvalid: "Snapshot attributes JSON is invalid"
